Broodje_Settings = {
	MinimapPos = 45	
}
LoadOnStart = 1;

function maakvoedsel()
SortWho(name);
end

function Broodje_MinimapButton_Reposition()
	Broodje_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(Broodje_Settings.MinimapPos)),(80*sin(Broodje_Settings.MinimapPos))-52)
end

-- Only while the button is dragged this is called every frame
function Broodje_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70 -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70

	Broodje_Settings.MinimapPos = math.deg(math.atan2(ypos,xpos)) -- save the degrees we are relative to the minimap center
	Broodje_MinimapButton_Reposition() -- move the button
end

-- Put your code that you want on a minimap button click here.  arg1="LeftButton", "RightButton", etc
function Broodje_MinimapButton_OnClick()
	Frame1:Show();
end

function Broodje_CheckStats()
local playerClass, englishClass = UnitClass("player");
local playerLevel = tonumber(UnitLevel("player"));
if englishClass == "MAGE" and playerLevel >= 75 then
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. All functions have been loaded.");
elseif englishClass == "MAGE" and playerLevel < 4 then
Frame1ButtonFoodBuff:Disable();
Frame1ButtonDrinkBuff:Disable();
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 4, 6, ,28, 70 and 75 to unlock the Drink, Food, , Mana Gem,  Table and Refreshment functions respectively.");
elseif englishClass == "MAGE" and playerLevel > 4 and playerLevel < 6 then
Frame1ButtonFoodBuff:Disable();
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
elseif englishClass == "MAGE" and playerLevel > 6 and playerLevel < 28 then
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
elseif englishClass == "MAGE" and playerLevel > 28 and playerLevel < 70 then
Frame1ButtonFoodBuff:Disable();
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 6, 70 and 75 to unlock the Food , Table and Refreshment functions respectively.");
elseif englishClass == "MAGE" and playerLevel < 70 and playerLevel < 75 then
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 70 and 75 to unlock the Table and Refreshment functions respectively.");
elseif englishClass == "MAGE" and playerLevel > 70 and playerLevel < 75 then
Frame1ButtonRefreshBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 75 to unlock the Refreshment function.");
else
Frame1ButtonFoodBuff:Disable();
Frame1ButtonDrinkBuff:Disable();
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. All functions have been disabled. Please logon to a Mage character to enable them.");
end
end

function Broodje_StartupCheck()
if LoadOnStart == 1 then 
Frame1CheckButton:SetChecked(true);
Frame1:Show();
elseif LoadOnStart == 0 then
Frame1CheckButton:SetChecked(false);
Frame1:Hide();
end
end

function Broodje_GetStartupSetting()
if Frame1CheckButton:GetChecked() then
LoadOnStart = 1;
else
LoadOnStart = 0;
end
end


